# Method: projects.locations.geminiGcpEnablementSettings.settingBindings.list

- [HTTP request](https://docs.cloud.google.com/gemini/docs/api/reference/rest/v1/projects.locations.geminiGcpEnablementSettings.settingBindings/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/docs/api/reference/rest/v1/projects.locations.geminiGcpEnablementSettings.settingBindings/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/docs/api/reference/rest/v1/projects.locations.geminiGcpEnablementSettings.settingBindings/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/docs/api/reference/rest/v1/projects.locations.geminiGcpEnablementSettings.settingBindings/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/docs/api/reference/rest/v1/projects.locations.geminiGcpEnablementSettings.settingBindings/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/docs/api/reference/rest/v1/projects.locations.geminiGcpEnablementSettings.settingBindings/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/docs/api/reference/rest/v1/projects.locations.geminiGcpEnablementSettings.settingBindings/list#body.aspect_1)

Lists SettingBindings in a given project and location.

### HTTP request

`GET https://cloudaicompanion.googleapis.com/v1/{parent=projects/*/locations/*/geminiGcpEnablementSettings/*}/settingBindings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListSettingBindingsRequest. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results. |
| `orderBy` | `string` Optional. Hint for how to order the results. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini/docs/api/reference/rest/v1/ListSettingBindingsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `cloudaicompanion.settingBindings.geminiGcpEnablementSettingsList`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).